/* You can add global styles to this file, and also import other style files */
@use 'ngx-toastr/toastr';

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0 20px;
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
    background: #ffffff;
    display: flex;
    flex-direction: column;
}

.page {
    margin: 90px 13vw;
}

.admin-page {
    margin-top: 85px;
    padding: 0 50px;
}

.main-page {
    margin: 0 10vw;
}

.bg-img {
    background-image: url(/assets/images/teacher_BG.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#left-background {
    background-image: url(/assets/images/Campus_summer.jpg);
    background-position-x: center;
    left: 0;
    opacity: 0.8;
}

#left-background,
#right-background {
    position: fixed;
    width: 13vw;
    height: 100%;
    background-size: cover;
    top: 0;
}

#right-background {
    background-image: url(/assets/images/extra.jpg);
    background-position-x: left;
    right: 0;
    opacity: 0.7;
}

.bg-class {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.oclare-bg-color-1 {
    background-color: #f5f5f5;
}

.oclare-bg-color-2 {
    background-color: #3D6098;
}

.oclare-color-1 {
    color: #3D6098;
}

.button {
    background-color: transparent;
    border: 2px solid transparent;
    padding: 7px 15px;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    font-weight: 600;
    cursor: pointer;
}

.btn-1 {
    color: #ffffff;
    background-color: #3D6098;
    border-color: #3D6098;
}

.btn-1:hover {
    color: #3D6098;
    background-color: #ffffff;
}

.btn-2 {
    color: #ffffff;
    background-color: #007AA0;
    border-color: #007AA0;
}

.btn-2:hover {
    color: #007AA0;
    background-color: #ffffff;
}

.btn-3 {
    color: #ff5050;
    background-color: #ffffff;
    border-color: #ff5050;
}

.btn-3:hover {
    color: #ffffff;
    background-color: #ff5050;
}

.btn-5 {
    color: #ffffff;
    background-color: #ff5050;
    border-color: #ff5050;
}

.btn-5:hover {
    color: #ff5050;
    background-color: #ffffff;
}

.btn-4 {
    color: #ffffff;
    background-color: #6255A4;
    border-color: #6255A4;
}

.btn-4:hover {
    color: #6255A4;
    background-color: #ffffff;
}

.border-solid {
    border: 2px solid;
}

.page-margin {
    margin-left: 250px;
}

.content-scroll {
    max-height: calc(100vh - 216px);
    min-height: 300px;
    overflow-x: hidden;
}

::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

::-webkit-scrollbar-thumb {
    background: #D9D9D9;
    border-radius: 10px;
}

.teacher-bg {
    background-color: #174B83;
    color: #ffffff;
    height: 0;
    padding: 30px;
}

.student-bg {
    background-color: #6255A4;
}

.card {
    padding: 7px 15px;
    position: inherit;
}

.close {
    border: none;
    background-color: transparent;
    color: #fff;
    font-size: 28px;
}

.marker {
    background-color: #ffff00;
}

select.form-control {
    -webkit-appearance: menulist !important;
    -moz-appearance: menulist !important;
    -ms-appearance: menulist !important;
    -o-appearance: menulist !important;
    appearance: menulist !important;
}

table,
th,
td {
    border: 1px solid;
    border-collapse: collapse;
}

.ck-math-view{
    .ck-input-text{
        width: 500px !important;
    }
}

@media screen and (max-width: 991px) {
    body {
        margin: 0;
        padding: 10px;
    }

    .page {
        margin: 65px 0 0 0;
    }

    .admin-page {
        margin-top: 40px;
        padding: 0 10px;
    }

    .nav-position {
        padding: 0 !important;
    }

    #left-background,
    #right-background {
        display: none;
    }

    .footer-position {
        padding: 0 !important;
    }

    .small-d {
        min-width: 100%;
    }

    .hidden-sm {
        display: none;
    }

    .btn-tab {
        width: auto;
        margin-bottom: 5px;
    }

    .common-head {
        padding: 0 8vW !important;
    }

    .main-page {
        margin: 0px 8vw;
    }

    .lab-title {
        font-size: 13px;
    }

    .content-scroll {
        max-height: calc(90vh - 220px);
    }
}

@media only screen and (min-width: 991px) and (max-width: 1200px) {
    #left-background,
    #right-background {
        width: 10vw;
    }
}

.ck-editor__editable_inline {
    min-height: 460px; 
    overflow-y: auto;
}

.okButton{
    background: #09863E !important;
    border: 1px solid #09863E !important;
    color: #fff !important;
    padding: 4px 1px;
    border-radius: 2px !important;
    display: inline-block !important;
    margin-right:5px !important;
    cursor: pointer !important;
    font: normal normal normal 12px Arial, Helvetica, Tahoma, Verdana, Sans-Serif !important;
    font-weight: 400 !important;
}

.okButton:hover{
    background: #5e9976 !important;
}

.cancelButton{
    color: #3d3d3d !important;
    border: 1px solid #bcbcbc !important;
    border-radius: 2px !important;
    background: #e9e9e9 !important;
    padding: 4px 1px !important;
    display: inline-block !important;
    cursor: pointer !important;
    font: normal normal normal 12px Arial, Helvetica, Tahoma, Verdana, Sans-Serif !important;
    font-weight: 400 !important;
    width: 50px !important;
}

.cancelButton:hover{
    background: #ffffff !important;
}

.buttonTab {
    height: 25px !important;
    padding: 4px 8px !important;
    display: inline-block !important;
    cursor: pointer !important;
    line-height: 26px !important;
    outline: none !important;
    color: #484848 !important;
    border: 1px solid #d1d1d1 !important;
    border-radius: 3px 3px 0 0 !important;
    background: #f8f8f8 !important;
    min-width: 90px !important;
    text-align: center !important;
    margin-left: -1px !important;
    letter-spacing: 0.3px !important;
}

.closeButton {
    cursor: pointer !important;
}